/*---------------------------------------------------------------------------*
  Project:  Horizon
  File:     demo_DecalTextureProgram.h

  Copyright (C)2009-2013 Nintendo Co., Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Rev: 50863 $
 *---------------------------------------------------------------------------*/

#ifndef DEMO_DECAL_TEXTURE_PROGRAM_OBJECT_H_
#define DEMO_DECAL_TEXTURE_PROGRAM_OBJECT_H_

#include "demo/ShaderProgram/demo_ProgramObject.h"

namespace demo
{ 

    /* Please see man pages for details 
    
    
    
    */

    class DecalTextureProgram : public ProgramObject
    {
    public:
        /* Please see man pages for details 
        

        
        */
        DecalTextureProgram(void);
        
        /* Please see man pages for details 
        

        
        */
        virtual ~DecalTextureProgram(void);

    public:
        /* Please see man pages for details 
        

        
        */
        virtual bool Initialize(const GLuint shaderId);

        /* Please see man pages for details 
        

        
        */
        virtual bool Finalize(void);
    public:
        /* Please see man pages for details 
        

        
        */
        virtual bool Use(void);
    
    public:
        /* Please see man pages for details 
        

        
       
        
        */
        virtual void SetTextureId(const GLuint textureId);

        /* Please see man pages for details 
        

        
        */
        virtual void Update(void);

    protected:
        virtual void InitializeVertexAttributes(void);

    protected:
        GLuint m_TextureId;
    };

}

#endif
