/*-----------------------------------------------------------------------*
 Project: [Common]
 File: [CTR_Tick.cpp]

 Copyright (C) 2009-2014 Nintendo Co., Ltd.  All rights reserved.

 These coded instructions, statements, and computer programs contain
 proprietary information of Nintendo of America Inc. and/or Nintendo
 Company Ltd., and are protected by Federal copyright law.  They may
 not be disclosed to third parties or copied or duplicated in any form,
 in whole or in part, without the prior written consent of Nintendo.

 $Revision: $
*-----------------------------------------------------------------------*/
/******************************************************************
                        include files
*******************************************************************/
#include "CTR_Tick.h"
#include <nn/os.h>
using namespace nn::os;

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************
            Functions Available Externally
*******************************************************************/
/*
 
 
 
 
*/
void CTR_TickInit( void ){

}
/*
 
 
 
 
 
         
*/
unsigned long CTR_GetTick( void ){

    unsigned long ret = 0;

    Tick tick = Tick::GetSystemCurrent();
#ifdef TIME_SET_USEC
    ret =  (unsigned long)tick.ToTimeSpan().GetMicroSeconds();
#else
    ret =  (unsigned long)tick.ToTimeSpan().GetMilliSeconds();
#endif /* #ifdef TIME_SET_USEC */

    return ret;
}


#ifdef __cplusplus
}
#endif

