// ----------------------------------------------------------------------
// Overview
//   Output class for debugging
// ----------------------------------------------------------------------
#ifndef __DEBUG_WRITER_MGR__
#define __DEBUG_WRITER_MGR__

// ----------------------------------------------------------------------
// include original header
// ----------------------------------------------------------------------
#include	"mgr.h"
using namespace mw::mgr;

// ----------------------------------------------------------------------
// class
// ----------------------------------------------------------------------
class CDebugWriterMgr
{
public:
	CDebugWriterMgr();
	~CDebugWriterMgr();

	bool		Initialize	();
	void		Output		(unsigned char* rgbBuff, int width, int height, MGResult* result);


	bool		OutputBmpImage(char* strFileName, unsigned char* rgbBuff, int width, int height);
	bool		OutputResult(char* strFileName, MGResult* result);

private:
	void		Write		(nn::fs::FileOutputStream& fos, char* fmt, ...);

	s32			m_dirNo;
	s32			m_fileNo;
};

#endif // __DEBUG_WRITER_MGR__
